Database Views
Apply an update through a Database View
Updates source Database rows selected by a previously previewed structured View workset. The 10-minute mutation token is bound to the caller, View version, target, action, key mapping, and materialized refresh when applicable.
POST
/
api
/
v1
/
databases
/
views
/
{databaseViewId}
/
actions
/
update
Apply an update through a Database View
curl --request POST \
--url https://api.revoengine.com/api/v1/databases/views/{databaseViewId}/actions/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetDatabaseId": "<string>",
"keyMapping": {},
"mutationToken": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetDatabaseId: '<string>', keyMapping: {}, mutationToken: '<string>'})
};
fetch('https://api.revoengine.com/api/v1/databases/views/{databaseViewId}/actions/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/databases/views/{databaseViewId}/actions/update"
payload = {
"targetDatabaseId": "<string>",
"keyMapping": {},
"mutationToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer JWT token or API Key (sk-*).
Path Parameters
Body
application/json
Response
201
⌘I
Apply an update through a Database View
curl --request POST \
--url https://api.revoengine.com/api/v1/databases/views/{databaseViewId}/actions/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetDatabaseId": "<string>",
"keyMapping": {},
"mutationToken": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetDatabaseId: '<string>', keyMapping: {}, mutationToken: '<string>'})
};
fetch('https://api.revoengine.com/api/v1/databases/views/{databaseViewId}/actions/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/databases/views/{databaseViewId}/actions/update"
payload = {
"targetDatabaseId": "<string>",
"keyMapping": {},
"mutationToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
